INTERFACE
SUBROUTINE SUFPDYN(KTFPP,KTFPH,KTFPTH,KTFPPV,KTFPS,K2FPB,&
 & KOFPP,KOFPH,KOFPTH,KOFPPV,KOFPS,&
 & KAFPP,KAFPH,KAFPT,KAFPV,KAFPS,KA2FP,&
 & KCPFP,KCHFP,KCTFP,KCVFP,KCSFP,KC2FP,&
 & KPFP,KHFP,KTFP,KVFP,KSFP,&
 & KIPFP,KIHFP,KITFP,KIVFP,KISFP,KI2FP,&
 & LDNOFIL,CDYFILE) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMFPC , ONLY : CFPDOM ,CFP2DF ,C1FP3DF ,&
 & CFP3DFS ,CFP3DFP ,CFP3DFH ,CFP3DFT ,CFP3DFV ,&
 & C1FP2DF ,MFP2DF ,NFPDOM ,&
 & MFP3DFS ,MFP3DFP ,MFP3DFH ,MFP3DFT ,MFP3DFV ,&
 & NFP3DFS ,NFP3DFP ,NFP3DFH ,NFP3DFT ,NFP3DFV ,&
 & NFP2DF ,NFP3P ,NFP3H ,NFP3TH ,NFP3PV ,&
 & NFP3S 
INTEGER(KIND=JPIM),INTENT(OUT) :: KTFPP
INTEGER(KIND=JPIM),INTENT(OUT) :: KTFPH
INTEGER(KIND=JPIM),INTENT(OUT) :: KTFPTH
INTEGER(KIND=JPIM),INTENT(OUT) :: KTFPPV
INTEGER(KIND=JPIM),INTENT(OUT) :: KTFPS
INTEGER(KIND=JPIM),INTENT(OUT) :: K2FPB
INTEGER(KIND=JPIM),INTENT(INOUT) :: KOFPP(NFP3DFP)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KOFPH(NFP3DFH)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KOFPTH(NFP3DFT)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KOFPPV(NFP3DFV)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KOFPS(NFP3DFS)
INTEGER(KIND=JPIM),INTENT(OUT) :: KAFPP(NFP3P,NFP3DFP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KAFPH(NFP3H,NFP3DFH)
INTEGER(KIND=JPIM),INTENT(OUT) :: KAFPT(NFP3TH,NFP3DFT)
INTEGER(KIND=JPIM),INTENT(OUT) :: KAFPV(NFP3PV,NFP3DFV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KAFPS(NFP3S,NFP3DFS)
INTEGER(KIND=JPIM),INTENT(OUT) :: KA2FP(NFP2DF)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCPFP(NFP3DFP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCHFP(NFP3DFH)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCTFP(NFP3DFT)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCVFP(NFP3DFV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCSFP(NFP3DFS)
INTEGER(KIND=JPIM),INTENT(OUT) :: KC2FP(NFP2DF)
INTEGER(KIND=JPIM),INTENT(OUT) :: KPFP(NFP3P,NFP3DFP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KHFP(NFP3H,NFP3DFH)
INTEGER(KIND=JPIM),INTENT(OUT) :: KTFP(NFP3TH,NFP3DFT)
INTEGER(KIND=JPIM),INTENT(OUT) :: KVFP(NFP3PV,NFP3DFV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KSFP(NFP3S,NFP3DFS)
INTEGER(KIND=JPIM),INTENT(OUT) :: KIPFP(NFPDOM,NFP3P,NFP3DFP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KIHFP(NFPDOM,NFP3H,NFP3DFH)
INTEGER(KIND=JPIM),INTENT(OUT) :: KITFP(NFPDOM,NFP3TH,NFP3DFT)
INTEGER(KIND=JPIM),INTENT(OUT) :: KIVFP(NFPDOM,NFP3PV,NFP3DFV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KISFP(NFPDOM,NFP3S,NFP3DFS)
INTEGER(KIND=JPIM),INTENT(OUT) :: KI2FP(NFPDOM,NFP2DF)
LOGICAL ,INTENT(IN) :: LDNOFIL
CHARACTER(LEN=120),INTENT(IN) :: CDYFILE
END SUBROUTINE SUFPDYN
END INTERFACE
